import Vue from 'vue';
import App from './App.vue';
import router from './routes';
import store from './store';
import { Button, Icon, Form, Field, Dialog, Popup, Picker,
  Uploader, Lazyload, Image as VantImage, Loading} from 'vant';

Vue.component('Button', Button);
Vue.component('Icon', Icon);
Vue.component('Form', Form);
Vue.component('Field', Field);
Vue.component('Popup', Popup);
Vue.component('Picker', Picker);
Vue.component('Uploader', Uploader);
Vue.component('VantImage', VantImage);
Vue.component('Loading', Loading);
Vue.use(Dialog);
Vue.use(Lazyload);

Vue.config.productionTip = false;

(window as any).khtGetAppCurrentUserInfo = (param: any) => {
  const { authToken, userId } = param;
  if (authToken) {
    store.dispatch('user/setUserInfo', {token: authToken, userId});
  } else {
    store.dispatch('user/setUserInfo', {token: '', userId: ''});
  }
};

const app = new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount('#app');
export default app;
