import Vue from 'vue';
import Router from 'vue-router';
import demoRoutes from './demo';

Vue.use(Router);

const baseRoutes: any = [
  {
    path: '/home',
    name: 'home',
    meta: {
      keepAlive: true,
      isBack: false,
      index: 1
    },
    component: () => import(/* webpackChunkName: "home" */ '../views/Home.vue'),
  },
];
const routes = [
  ...baseRoutes,
  ...demoRoutes,
];

const router: Router = new Router({
  routes,
  scrollBehavior(to, from, savedPosition) {
    if (savedPosition) {
      return savedPosition;
    } else {
      return { x: 0, y: 0 };
    }
  }
});
router.beforeEach((to, from, next) => {
  if (from.path === '/ipfc/result' || from.path === '/ipfc/vcode') {
    to.meta.isBack = true;
  }
  next();
});
export default router;
