// vue.config.js
const tsImportPluginFactory = require('ts-import-plugin');
module.exports = {
  publicPath: process.env.NODE_ENV === 'production' ? '/static/assure' : '/',
  configureWebpack: config => {
    if (process.env.NODE_ENV === 'production') {
      // 为生产环境...
    } else {
      // 为开发环境修改配置...
    }
    config.module.rules.push({
      test: /\.(jsx|tsx|js|ts)$/,
      use: [
        {
          loader: 'ts-loader',
          options: {
            happyPackMode: true, // IMPORTANT! use happyPackMode mode to speed-up compilation and reduce errors reported to webpack
            transpileOnly: true,
            getCustomTransformers: () => ({
              before: [
                tsImportPluginFactory({
                  libraryName: 'vant',
                  libraryDirectory: 'lib',
                  style: true
                })
              ]
            }),
            compilerOptions: {
              module: 'es2015'
            }
          }
        }
      ],
      exclude: /node_modules/
    });
  },

  devServer: {
    proxy: {
      '/sit': {
        target: 'https://ecustomer.tp95589.com', //代理接口
        changeOrigin: true,
        pathRewrite: {
          '^/sit': '/sit' //代理的路径
        }
      },
      // http://10.28.136.167:8773/
      // '/lifems': {
      //   target: 'https://58.49.129.4', //代理接口
      //   changeOrigin: true,
      //   pathRewrite: {
      //     '^/lifems': '/lifems' //代理的路径
      //   }
      // },
      '/static': {
        target: 'https://ecustomer.tp95589.com', //代理接口
        changeOrigin: true,
        pathRewrite: {
          '^/static': '/static' //代理的路径
        }
      }
    }
  },

  css: {
    loaderOptions: {
      stylus: {
        'resolve url': true,
        import: []
      }
    }
  },

  parallel: false
};
